This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 813420 - Review Request: qastools - Collection of desktop applications for ALSA
Review Request: qastools - Collection of desktop applications for ALSA
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-04-17 14:01 EDT by Richard Shaw
Modified: 2012-05-04 18:54 EDT (History)
5 users (show)

See Also:
Fixed In Version: qastools-0.17.1-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 16:30:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
brendan.jones.it: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard Shaw 2012-04-17 14:01:29 EDT
Spec URL: http://hobbes1069.fedorapeople.org/qastools/qastools.spec
SRPM URL: http://hobbes1069.fedorapeople.org/qastools/qastools-0.17.1-1.fc16.src.rpm
Description:
QasTools is a collection of desktop applications for the Linux sound system
ALSA:

QasMixer
  Desktop mixer for ALSA's "Simple Mixer Interface" (alsamixer).
QasHctl
  Mixer for ALSA's more complex "High level Control Interface".
QasConfig
  Browser for the ALSA configuration tree.


No significant rpmlint output.
Comment 1 Brendan Jones 2012-04-17 14:41:45 EDT
I will take this review.
Comment 2 Brendan Jones 2012-04-17 15:02:30 EDT
Looking good, just a few things:

- missing scriptlets for the icon cache.
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

- you can drop the index.html from the URL, but please use %name/%version macros in URL, Source, Patch etc where appropriate

- I'd like you to be a little more verbose in the %files section (for the binaries and desktop files at least) as I think it reads better. Similarly with the man section although its best to use a wildcard for the extension rather than .gz

- you also need to use the %find_lang %{name} --with-qt to grab the .qm files (even though they are under the application dir - its still a must)
http://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files
Comment 4 Thomas Spura 2012-04-17 16:00:22 EDT
*** Bug 458975 has been marked as a duplicate of this bug. ***
Comment 5 Richard Shaw 2012-04-17 16:07:01 EDT
Sorry Thomas, I think i got my bug numbers crossed. Too many tabs open.
Comment 6 Thomas Spura 2012-04-17 16:14:15 EDT
(In reply to comment #5)
> Sorry Thomas, I think i got my bug numbers crossed. Too many tabs open.

Heh, I could also look more into the bug report and not search your name and random spec/srpm links ;)

Thanks for correcting...
Comment 7 Brendan Jones 2012-04-18 01:44:36 EDT
Hi Richard,

seems to be failing in koji build --scratch dist-rawhide but not f16 

http://koji.fedoraproject.org/koji/taskinfo?taskID=4000829

Also, just raising as a point of discussion, the Razor developers took a slightly differnt approach and split out qasmixer into a separate package (although always requiring the main package that owns /usr/share/qastools).
Comment 8 Simon Lewis 2012-04-18 02:34:13 EDT
This is a great mixer as you can precisely set the gain levels and the level controls show exactly which gain steps are availble on the sound card.

I would recomend setting qasmixer as the standard mixer on the KDE version of fedora replacing kmix...

Simon
Comment 9 Richard Shaw 2012-04-18 09:44:40 EDT
(In reply to comment #7)
> Hi Richard,
> 
> seems to be failing in koji build --scratch dist-rawhide but not f16 
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4000829

Working on that now...

 
> Also, just raising as a point of discussion, the Razor developers took a
> slightly differnt approach and split out qasmixer into a separate package
> (although always requiring the main package that owns /usr/share/qastools).

I guess the question here would be whether to name them as sub-packages, "qastools-mixer" etc. which I would think would be the proper way to do this since they come from one source archive, or to name them independently, qasmixer, etc. 

Richard
Comment 10 Brendan Jones 2012-04-18 10:13:33 EDT
I'm happy for you too leave as one package.
Comment 11 Richard Shaw 2012-04-18 10:42:12 EDT
The whole thing is 443K so there's not much space savings to be had by splitting them up...

I've got rawhide fixed. It was just some missing includes for GCC 4.7. I'll send them upstream once the package is accepted. 

SPEC: http://hobbes1069.fedorapeople.org/qastools/qastools.spec
SRPM: http://hobbes1069.fedorapeople.org/qastools/qastools-0.17.1-3.fc16.src.rpm
Comment 12 Brendan Jones 2012-04-18 13:19:51 EDT
Just use macros in your sources before you commit, and contact upstream with the patch. Good work and thanks. This package is APPROVED.


Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[-]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint qastools-debuginfo-0.17.1-3.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint qastools-0.17.1-3.fc18.src.rpm

qastools.src: W: spelling-error %description -l en_US alsamixer -> balsamic
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint qastools-0.17.1-3.fc18.i686.rpm

qastools.i686: W: spelling-error %description -l en_US alsamixer -> balsamic
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/bsjones/rpmbuild/SPECS/qastools_0.17.1.tar.xz :
  MD5SUM this package     : 61df791cc51b31e171e939bf8ce6418b
  MD5SUM upstream package : 61df791cc51b31e171e939bf8ce6418b

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[-]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0:
     http://downloads.sourceforge.net/qastools/0.17.1/qastools_0.17.1.tar.xz
     (qastools_0.17.1.tar.xz) Patch0: qastools-0.17.1-desktop.patch
     (qastools-0.17.1-desktop.patch)
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

rpmlint qastools-debuginfo-0.17.1-3.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint qastools-0.17.1-3.fc18.src.rpm

qastools.src: W: spelling-error %description -l en_US alsamixer -> balsamic
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint qastools-0.17.1-3.fc18.i686.rpm

qastools.i686: W: spelling-error %description -l en_US alsamixer -> balsamic
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.1.3
External plugins:
Comment 13 Richard Shaw 2012-04-18 13:42:18 EDT
New Package SCM Request
=======================
Package Name: qastools
Short Description: Collection of desktop applications for ALSA
Owners: hobbes1069
Branches: f16 f17
InitialCC:
Comment 14 Richard Shaw 2012-04-18 13:43:10 EDT
If you (or anyone from the Audio group) wants to co-maintain just request it in pkgdb once it's setup.

Thanks for the review!
Richard
Comment 15 Jon Ciesla 2012-04-18 14:06:53 EDT
Git done (by process-git-requests).
Comment 16 Brendan Jones 2012-04-19 01:53:14 EDT
(In reply to comment #14)
> If you (or anyone from the Audio group) wants to co-maintain just request it in
> pkgdb once it's setup.
> 
> Thanks for the review!
> Richard

Sure will do - the FedoraAudio tracker contains a number of reviews if you ever want to swap (e.g bug 789055 is tiny)
Comment 17 Brendan Jones 2012-04-24 22:51:16 EDT
Can you push this?
Comment 18 Richard Shaw 2012-04-25 09:06:03 EDT
Sorry! Got distracted by other reviews/life. Building now.
Comment 19 Fedora Update System 2012-04-25 09:51:24 EDT
qastools-0.17.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/qastools-0.17.1-3.fc16
Comment 20 Fedora Update System 2012-04-25 09:51:36 EDT
qastools-0.17.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qastools-0.17.1-3.fc17
Comment 21 Fedora Update System 2012-04-26 15:26:52 EDT
qastools-0.17.1-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 22 Fedora Update System 2012-05-04 16:30:44 EDT
qastools-0.17.1-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 23 Fedora Update System 2012-05-04 18:54:33 EDT
qastools-0.17.1-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.